=head1 NAME

Gtk2::ListStore

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::ListStore

=head1 INTERFACES

  Gtk2::Buildable
  Gtk2::TreeSortable
  Gtk2::TreeModel
  Gtk2::TreeDragSource
  Gtk2::TreeDragDest


=head1 METHODS

=head2 liststore = Gtk2::ListStore-E<gt>B<new> (...)

=over

=over

=item * ... (list) of strings

=back



=back

=head2 treeiter = $list_store-E<gt>B<append> 

=over

=back

=head2 $list_store-E<gt>B<clear> 

=over

=back

=head2 $list_store-E<gt>B<set_column_types> (...)

=over

=over

=item * ... (list) of strings

=back



=back

=head2 $list_store-E<gt>B<set> ($iter, $col1, $val1, ...)

=over

=over

=item * $iter (Gtk2::TreeIter) 

=item * $col1 (integer) the first column number

=item * $val1 (scalar) the first value

=item * ... (list) pairs of column numbers and values

=back



=back

=head2 treeiter = $list_store-E<gt>B<insert> ($position)

=over

=over

=item * $position (integer) 

=back

=back

=head2 treeiter = $list_store-E<gt>B<insert_after> ($sibling)

=over

=over

=item * $sibling (Gtk2::TreeIter or undef) 

=back

=back

=head2 treeiter = $list_store-E<gt>B<insert_before> ($sibling)

=over

=over

=item * $sibling (Gtk2::TreeIter or undef) 

=back

=back

=head2 treeiter = $list_store-E<gt>B<insert_with_values> ($position, ...)

=over

=over

=item * $position (integer) position to insert the new row

=item * ... (list) pairs of column numbers and values

=back

Like doing insert followed by set, except that insert_with_values emits only
the row-inserted signal, rather than row-inserted, row-changed, and, if the
store is sorted, rows-reordered as in the multiple-operation case.
Since emitting the rows-reordered signal repeatedly can affect the performance
of the program, insert_with_values should generally be preferred when
inserting rows in a sorted list store.

Since: gtk+ 2.6

=back

=head2 boolean = $list_store-E<gt>B<iter_is_valid> ($iter)

=over

=over

=item * $iter (Gtk2::TreeIter) 

=back

Since: gtk+ 2.2

=back

=head2 $store-E<gt>B<move_after> ($iter, $position)

=over

=over

=item * $iter (Gtk2::TreeIter) 

=item * $position (Gtk2::TreeIter or undef) 

=back

Since: gtk+ 2.2

=back

=head2 $store-E<gt>B<move_before> ($iter, $position)

=over

=over

=item * $iter (Gtk2::TreeIter) 

=item * $position (Gtk2::TreeIter or undef) 

=back

Since: gtk+ 2.2

=back

=head2 treeiter = $list_store-E<gt>B<prepend> 

=over

=back

=head2 boolean = $list_store-E<gt>B<remove> ($iter)

=over

=over

=item * $iter (Gtk2::TreeIter) 

=back

=back

=head2 $store-E<gt>B<reorder> (...)

=over

=over

=item * ... (list) of integers the reordered posistions

=back

Reorders store to follow the order indicated by new_order. Note that this
function only works with unsorted stores.

A list of position should be passed, one for each item in the list.

Since: gtk+ 2.2

=back

=head2 $store-E<gt>B<swap> ($a, $b)

=over

=over

=item * $a (Gtk2::TreeIter) 

=item * $b (Gtk2::TreeIter) 

=back

Since: gtk+ 2.2

=back

=head2 $list_store->B<set_value> ($iter, $col, $val)

=over

=over

=item * $iter (Gtk2::TreeIter) 

=item * $val (scalar) 

=item * $col (integer) 

=back



=back


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>

=head1 COPYRIGHT

Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

